@Echo Off

Rem   ---------------------------------------------------------------------------
Rem  JOnAS: Java(TM) Open Application Server
Rem  Copyright (C) 1999 Bull S.A.
Rem  Contact: jonas-team@objectweb.org
Rem  
Rem  This library is free software; you can redistribute it and/or
Rem  modify it under the terms of the GNU Lesser General Public
Rem  License as published by the Free Software Foundation; either
Rem  version 2.1 of the License, or any later version.
Rem  
Rem  This library is distributed in the hope that it will be useful,
Rem  but WITHOUT ANY WARRANTY; without even the implied warranty of
Rem  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Rem  Lesser General Public License for more details.
Rem  
Rem  You should have received a copy of the GNU Lesser General Public
Rem  License along with this library; if not, write to the Free Software
Rem  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
Rem  USA
Rem  
Rem  Initial developer(s): Roland Kamsikav
Rem   Contributor(s): Anatole Tresch & Rüdiger Breit
Rem                   Adriana Danes :
Rem                     - Change /config en /conf
Rem                     - Use JONAS_BASE
Rem  
Rem   ---------------------------------------------------------------------------
Rem   $Id: registry.bat,v 1.20 2003/04/29 17:14:55 coqp Exp $
Rem   ---------------------------------------------------------------------------

setlocal

Rem set the Environment Variables
if [%JONAS_ROOT%]==[] goto setroot
call %JONAS_ROOT%\bin\nt\setenv.bat

set CLASSPATH=%JONAS_ROOT%\lib\common\ow_jonas_bootstrap.jar;%JONAS_ROOT%
set JAVA_OPTS=%JAVA_OPTS% -Dinstall.root=%JONAS_ROOT% -Djava.security.policy=%JONAS_ROOT%\conf\java.policy

set BOOT=org.objectweb.jonas.server.Bootstrap

:nameservice
%JAVA% %JAVA_OPTS% %BOOT% org.objectweb.carol.jndi.ns.NameServiceManager %1 %2 %3 %4 %5 %6 %7 %8 %9
Goto End

:setroot
echo JONAS_ROOT not set.
goto :EOF

